<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{AE0E35D7-DFA4-4150-9889-255043B232BB}</ProjectGuid>
    <OutputType>library</OutputType>
    <RootNamespace>XLAB.DATA</RootNamespace>
    <AssemblyName>XLAB.DATA</AssemblyName>
    <TargetFrameworkVersion>v4.8</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <ProjectTypeGuids>{60dc8134-eba5-43b8-bcc9-bb4bc16c2548};{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</ProjectTypeGuids>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="EntityFramework">
      <HintPath>..\packages\EntityFramework.6.4.4\lib\net45\EntityFramework.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework.SqlServer">
      <HintPath>..\packages\EntityFramework.6.4.4\lib\net45\EntityFramework.SqlServer.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Runtime.Serialization" />
    <Reference Include="System.Security" />
    <Reference Include="System.Xml" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Core" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xaml">
      <RequiredTargetFramework>4.0</RequiredTargetFramework>
    </Reference>
    <Reference Include="WindowsBase" />
    <Reference Include="PresentationCore" />
    <Reference Include="PresentationFramework" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="DMS.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="EKZ.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="EKZMK.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="FRPD.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="Properties\AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Properties\Resources.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>Resources.resx</DependentUpon>
    </Compile>
    <Compile Include="Properties\Settings.Designer.cs">
      <AutoGen>True</AutoGen>
      <DependentUpon>Settings.settings</DependentUpon>
      <DesignTimeSharedInput>True</DesignTimeSharedInput>
    </Compile>
    <Compile Include="PRSN.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="SPNMTP.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="SPOI.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="SPVDMK.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="TIPS.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="TPRMCP.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="TPRMK.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="TPRZ.cs">
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="XLabModel.Context.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>XLabModel.Context.tt</DependentUpon>
    </Compile>
    <Compile Include="XLabModel.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>XLabModel.tt</DependentUpon>
    </Compile>
    <Compile Include="XLabModel.Designer.cs">
      <AutoGen>True</AutoGen>
      <DesignTime>True</DesignTime>
      <DependentUpon>XLabModel.edmx</DependentUpon>
    </Compile>
    <EmbeddedResource Include="Properties\Resources.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Resources.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <None Include="App.Config" />
    <None Include="packages.config" />
    <None Include="Properties\Settings.settings">
      <Generator>SettingsSingleFileGenerator</Generator>
      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
    </None>
    <EntityDeploy Include="XLabModel.edmx">
      <Generator>EntityModelCodeGenerator</Generator>
      <LastGenOutput>XLabModel.Designer.cs</LastGenOutput>
    </EntityDeploy>
    <None Include="XLabModel.edmx.diagram">
      <DependentUpon>XLabModel.edmx</DependentUpon>
    </None>
  </ItemGroup>
  <ItemGroup>
    <Content Include="XLabModel.Context.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <LastGenOutput>XLabModel.Context.cs</LastGenOutput>
      <DependentUpon>XLabModel.edmx</DependentUpon>
    </Content>
    <Content Include="XLabModel.tt">
      <Generator>TextTemplatingFileGenerator</Generator>
      <DependentUpon>XLabModel.edmx</DependentUpon>
      <LastGenOutput>XLabModel.cs</LastGenOutput>
    </Content>
  </ItemGroup>
  <ItemGroup>
    <Service Include="{508349B6-6B84-4DF5-91F0-309BEEBAD82D}" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
</Project>
